Bug 1644989 - Not working kits autodetection
Summary: Not working kits autodetection
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: qt-creator
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Itamar Reis Peixoto
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-01 07:22 UTC by Ivan Romanov
Modified: 2019-11-26 23:51 UTC (History)
5 users (show)

Fixed In Version: qt-creator-4.10.2-2.fc31 qt-creator-4.9.2-3.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-20 01:02:22 UTC


Attachments (Terms of Use)
Actual result (45.72 KB, image/png)
2018-11-01 07:22 UTC, Ivan Romanov
no flags Details
Expected result (49.98 KB, image/png)
2018-11-01 07:23 UTC, Ivan Romanov
no flags Details

Description Ivan Romanov 2018-11-01 07:22:25 UTC
Created attachment 1499831 [details]
Actual result

Description of problem:
No Qt kits after startring Qt Creator. I must setup it manully.

Version-Release number of selected component (if applicable):
qt-creator-4.7.1-1.fc29.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Start Qt Creator
2. Open Tools -> Options -> Kits -> Qt Versions
3.

Actual results:
See screenshot

Expected results:
See screenshot

Comment 1 Ivan Romanov 2018-11-01 07:23:03 UTC
Created attachment 1499832 [details]
Expected result

Comment 2 Ben Cotton 2019-10-31 20:35:55 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Sandro Mani 2019-11-17 16:39:34 UTC
So finally got around to investigating this one, looks like the autodetection routine is picking up qmake-qt5.sh (the rpm macro wrapper) instead of qmake-qt5. Test building [1] with a patch.

[1] https://koji.fedoraproject.org/koji/taskinfo?taskID=39061594

Comment 4 Fedora Update System 2019-11-18 14:51:39 UTC
FEDORA-2019-acd7d0519f has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-acd7d0519f

Comment 5 Fedora Update System 2019-11-18 14:51:40 UTC
FEDORA-2019-52b736ff93 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-52b736ff93

Comment 6 Fedora Update System 2019-11-19 02:13:28 UTC
qt-creator-4.9.2-3.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-acd7d0519f

Comment 7 Fedora Update System 2019-11-19 03:15:35 UTC
qt-creator-4.10.2-2.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-52b736ff93

Comment 8 Fedora Update System 2019-11-20 01:02:22 UTC
qt-creator-4.10.2-2.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2019-11-26 23:51:44 UTC
qt-creator-4.9.2-3.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.